#!/bin/bash
set -e
source ../urbanairpollution.cfg
export SUMO_HOME=$SUMO_HOME
LENGTH="$1"
PERIOD="$2"
MINLENGTH="$3"

print_usage() {
    echo "Usage: ./trafficgen.sh <length> <arrival rate period>"
    echo "  Where: "
    echo "    length: the time length of the generated random traffic on the network in seconds"
    echo "    arrival rate period (float): Generates vehicles with a constant period and arrival rate of (1/period) per second. By using values below 1, multiple arrivals per second can be achieved." 
    echo "    minlength: Minimum legth of a trip"
}


if [ "$#" -ne 3 ]; then
    echo "ERROR:Illegal number of parameters"
    print_usage
    exit 1
fi


#if ! [ -f "$RANDOMTRIPS_PATH" ]; then
#    echo "Can not found randomTrips.py file here: $RANDOMTRIPS_PATH"
#    echo "Please edit trafficgen.sh file's RANDOMTRIPS_PATH variable wtih the correct path."
#    exit 2
#fi

echo "Generating random traffic..."

"$RANDOMTRIPS_PATH" -n "$SUMO_NETWORK_NAME" --seed 42 --fringe-factor 5 -p "$PERIOD" -r osm.passenger.rou.xml -o osm.passenger.trips.xml -e "$LENGTH" --min-distance $MINLENGTH --vehicle-class passenger --vclass passenger --prefix veh --trip-attributes 'departLane="best"' --validate
echo "Random traffic geneation is done"
